ASTExtract.DateTimePart (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.exp.parser, class: ASTExtract, enum: DateTimePart

# Enum Class ASTExtract.DateTimePart

java.lang.Object
java.lang.Enum<ASTExtract.DateTimePart>
org.apache.cayenne.exp.parser.ASTExtract.DateTimePart

All Implemented Interfaces:
  `Serializable, Comparable<ASTExtract.DateTimePart>, Constable`

Enclosing class:
  `ASTExtract`

public static enum ASTExtract.DateTimePart extends Enum<ASTExtract.DateTimePart>
Available components of date/time. Names must be in sync with tokens used in dateTimeExtractingFunction() rule in ExpressionParser.jjt

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  `DAY_OF_MONTH`
  `DAY_OF_WEEK`
  `DAY_OF_YEAR`
  `HOUR`
  `MINUTE`
  `MONTH`
  `SECOND`
  `WEEK`
  `YEAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ASTExtract.DateTimePart`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ASTExtract.DateTimePart[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### YEAR

    public static final ASTExtract.DateTimePart YEAR

  - ### MONTH

    public static final ASTExtract.DateTimePart MONTH

  - ### WEEK

    public static final ASTExtract.DateTimePart WEEK

  - ### DAY_OF_YEAR

    public static final ASTExtract.DateTimePart DAY_OF_YEAR

  - ### DAY

    public static final ASTExtract.DateTimePart DAY

  - ### DAY_OF_MONTH

    public static final ASTExtract.DateTimePart DAY_OF_MONTH

  - ### DAY_OF_WEEK

    public static final ASTExtract.DateTimePart DAY_OF_WEEK

  - ### HOUR

    public static final ASTExtract.DateTimePart HOUR

  - ### MINUTE

    public static final ASTExtract.DateTimePart MINUTE

  - ### SECOND

    public static final ASTExtract.DateTimePart SECOND

- ## Method Details

  - ### values

    public static ASTExtract.DateTimePart[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ASTExtract.DateTimePart valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null